# Utility modules

These are various utility modules for other HackerBase libraries.

## util-time [module]

    (import util-time)

Compatibility time module for <5.2 and >=5.3 versions of CHICKEN.

### current-util-milliseconds [procedure]

    (current-util-milliseconds)

Returns the current milliseconds counter that can be used for high-precision time measurements.

### seconds->iso-date-string [procedure]

    (seconds->iso-date-string . args)

Converts given seconds to ISO date string YYYY-MM-DD. Defaults to ```(current-seconds)```.

### today/iso [procedure]

    (today/iso)

Returns today as ISO date string YYYY-MM-DD.
